import '../websocket/websocket.dart';

abstract class SocketUseCaseService{
  Future<void> connect({required String url,
    required Function()? onOpen,
    required Function(dynamic message) onMessage,
    required Function(int? code, String? reason)? onClose});
  SimpleWebSocket getSocket();
  Future<void> close();
}