import 'package:json_annotation/json_annotation.dart';
import 'package:transmedika_one_to_one_call/webrtc/one_to_one/models/registration_session.dart';
part 'notify_caller_param.g.dart';

@JsonSerializable()
class NotifyCallerParam{
  @JsonKey(name: 'id')
  final String id;

  @JsonKey(name: 'from')
  final RegistrationSession from;

  @JsonKey(name: 'to')
  final RegistrationSession to;

  NotifyCallerParam({required this.id, required this.from, required this.to});

  factory NotifyCallerParam.fromJson(Map<String, dynamic> json) => _$NotifyCallerParamFromJson(json);

  Map<String, dynamic> toJson() => _$NotifyCallerParamToJson(this);
}